Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.server.handler
Class HandlerCollection

    java.lang.Object
      org.eclipse.jetty.util.component.AbstractLifeCycle
          org.eclipse.jetty.server.handler.AbstractHandler
              org.eclipse.jetty.server.handler.AbstractHandlerContainer
                  org.eclipse.jetty.server.handler.HandlerCollection

All Implemented Interfaces:
  Handler, HandlerContainer, LifeCycle

Direct Known Subclasses:
  ContextHandlerCollection, HandlerList

    public class HandlerCollection

extends AbstractHandlerContainer

A collection of handlers.

The default implementations calls all handlers in list order, regardless of the response status or exceptions. Derived implementation may alter the order or the conditions of calling the contained handlers.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle
`AbstractLifeCycle.AbstractLifeCycleListener`

Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.LifeCycle
`LifeCycle.Listener`

Field Summary

Fields inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle
`_listeners, FAILED, RUNNING, STARTED, STARTING, STOPPED, STOPPING`

Constructor Summary
`HandlerCollection()`
`HandlerCollection(boolean mutableWhenRunning)`

Method Summary
`void` | `addHandler(Handler handler)`
`protected void` | `doStart()`
`protected void` | `doStop()`
`protected java.lang.Object` | `expandChildren(java.lang.Object list, java.lang.Class byClass)`
`Handler[]` | `getHandlers()`
`void` | `handle(java.lang.String target, Request baseRequest, HttpServletRequest request, HttpServletResponse response)` Handle a request.
`boolean` | `isParallelStart()` Get the parrallelStart.
`void` | `removeHandler(Handler handler)`
`void` | `setHandlers(Handler[] handlers)`
`void` | `setParallelStart(boolean parallelStart)` Set the parallelStart.
`void` | `setServer(Server server)`

Methods inherited from class org.eclipse.jetty.server.handler.AbstractHandlerContainer
`dump, dumpHandlers, expandHandler, getChildHandlerByClass, getChildHandlers, getChildHandlersByClass`

Methods inherited from class org.eclipse.jetty.server.handler.AbstractHandler
`destroy, dump, dump, getServer, toString`

Methods inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle
`addLifeCycleListener, getState, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jetty.util.component.LifeCycle
`addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Constructor Detail

### HandlerCollection

    public HandlerCollection()

### HandlerCollection

    public HandlerCollection(boolean mutableWhenRunning)

Method Detail

### getHandlers

    public Handler[] getHandlers()

  Returns:
    Returns the handlers.

### setHandlers

    public void setHandlers(Handler[] handlers)

  Parameters:
    `handlers` - The handlers to set.

### isParallelStart

    public boolean isParallelStart()

  Get the parrallelStart.

  Returns:
    true if the contained handlers are started in parallel.

### setParallelStart

    public void setParallelStart(boolean parallelStart)

  Set the parallelStart.

  Parameters:
    `parallelStart` - If true, contained handlers are started in parallel.

### handle

    public void handle(java.lang.String target,
                       Request baseRequest,
                       HttpServletRequest request,
                       HttpServletResponse response)
                throws java.io.IOException,
                       ServletException

  Description copied from interface: `Handler`
  Handle a request.

  Parameters:
    `target` - The target of the request - either a URI or a name.
    `baseRequest` - The original unwrapped request object.
    `request` - The request either as the `Request` object or a wrapper of that request. The `HttpConnection.getCurrentConnection()` method can be used access the Request object if required.
    `response` - The response as the `Response` object or a wrapper of that request. The `HttpConnection.getCurrentConnection()` method can be used access the Response object if required.
  Throws:
    `java.io.IOException`
    `ServletException`
  See Also:
    `Handler.handle(String, Request, HttpServletRequest, HttpServletResponse)`

### doStart

    protected void doStart()
                    throws java.lang.Exception

  Overrides:
    `doStart` in class `AbstractHandler`
  Throws:
    `java.lang.Exception`

### doStop

    protected void doStop()
                   throws java.lang.Exception

  Overrides:
    `doStop` in class `AbstractHandler`
  Throws:
    `java.lang.Exception`

### setServer

    public void setServer(Server server)

  Specified by:
    `setServer` in interface `Handler`
  Overrides:
    `setServer` in class `AbstractHandler`

### addHandler

    public void addHandler(Handler handler)

### removeHandler

    public void removeHandler(Handler handler)

### expandChildren

    protected java.lang.Object expandChildren(java.lang.Object list,
                                              java.lang.Class byClass)

  Overrides:
    `expandChildren` in class `AbstractHandlerContainer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.